org.appng.appngizer.model.xml

## Class Site

- java.lang.Object
- - org.appng.appngizer.model.xml.Linkable
  - - org.appng.appngizer.model.xml.Nameable
    - - org.appng.appngizer.model.xml.Site

- Direct Known Subclasses:
    Site

      public class Site
      extends Nameable

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <extension base="{http://www.appng.org/schema/appngizer}nameable">
             <sequence>
               <element name="host" type="{http://www.appng.org/schema/appngizer}stringNotBlank"/>
               <element name="hostAliases" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="alias" type="{http://www.appng.org/schema/appngizer}stringNotBlank" maxOccurs="unbounded"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="domain" type="{http://www.appng.org/schema/appngizer}stringNotBlank"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
               <element name="active" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
               <element name="createRepositoryPath" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Site.HostAliases` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `active`
    `protected boolean` | `createRepositoryPath`
    `protected String` | `description`
    `protected String` | `domain`
    `protected String` | `host`
    `protected Site.HostAliases` | `hostAliases`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Nameable

      `name`

    - ### Fields inherited from class org.appng.appngizer.model.xml.Linkable

      `links, self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Site()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getDomain()` Gets the value of the domain property.
    `String` | `getHost()` Gets the value of the host property.
    `Site.HostAliases` | `getHostAliases()` Gets the value of the hostAliases property.
    `boolean` | `isActive()` Gets the value of the active property.
    `boolean` | `isCreateRepositoryPath()` Gets the value of the createRepositoryPath property.
    `void` | `setActive(boolean value)` Sets the value of the active property.
    `void` | `setCreateRepositoryPath(boolean value)` Sets the value of the createRepositoryPath property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setDomain(String value)` Sets the value of the domain property.
    `void` | `setHost(String value)` Sets the value of the host property.
    `void` | `setHostAliases(Site.HostAliases value)` Sets the value of the hostAliases property.

    - ### Methods inherited from class org.appng.appngizer.model.xml.Nameable

      `getName, setName`

    - ### Methods inherited from class org.appng.appngizer.model.xml.Linkable

      `getLinks, getSelf, setLinks, setSelf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          protected String host

    - #### hostAliases

          protected Site.HostAliases hostAliases

    - #### domain

          protected String domain

    - #### description

          protected String description

    - #### active

          protected boolean active

    - #### createRepositoryPath

          protected boolean createRepositoryPath

  - ### Constructor Detail

    - #### Site

          public Site()

  - ### Method Detail

    - #### getHost

          public String getHost()

      Gets the value of the host property.
      Returns:
        possible object is `String`

    - #### setHost

          public void setHost(String value)

      Sets the value of the host property.
      Parameters:
        `value` - allowed object is `String`

    - #### getHostAliases

          public Site.HostAliases getHostAliases()

      Gets the value of the hostAliases property.
      Returns:
        possible object is `Site.HostAliases`

    - #### setHostAliases

          public void setHostAliases(Site.HostAliases value)

      Sets the value of the hostAliases property.
      Parameters:
        `value` - allowed object is `Site.HostAliases`

    - #### getDomain

          public String getDomain()

      Gets the value of the domain property.
      Returns:
        possible object is `String`

    - #### setDomain

          public void setDomain(String value)

      Sets the value of the domain property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### isActive

          public boolean isActive()

      Gets the value of the active property.

    - #### setActive

          public void setActive(boolean value)

      Sets the value of the active property.

    - #### isCreateRepositoryPath

          public boolean isCreateRepositoryPath()

      Gets the value of the createRepositoryPath property.

    - #### setCreateRepositoryPath

          public void setCreateRepositoryPath(boolean value)

      Sets the value of the createRepositoryPath property.

Copyright © 2011–2023 aiticon GmbH. All rights reserved.